Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface IUserIdentityStore

All Known Implementing Classes:
  RDBMUserIdentityStore

    public interface IUserIdentityStore

Interface for managing creation and removal of User Portal Data

Version:
  $Revision: 1.8 $ $Date: 2004/10/31 14:06:43 $
Author:
  Susan Bramhall

Method Summary
`int` | `getPortalUID(IPerson person)` Returns a unique uPortal key for a user.
`int` | `getPortalUID(IPerson person, boolean createPortalData)` Returns a unique uPortal key for a user.
`void` | `removePortalUID(int uPortalUID)`

Method Detail

### getPortalUID

    int getPortalUID(IPerson person)
                     throws java.lang.Exception

  Returns a unique uPortal key for a user.

  Parameters:
    `person` - the person object
  Returns:
    uPortalUID number
  Throws:
    `java.lang.Exception` - exception if an error occurs.

### getPortalUID

    int getPortalUID(IPerson person,
                     boolean createPortalData)
                     throws AuthorizationException

  Returns a unique uPortal key for a user. A boolean flag determines whether or not to auto-create data for a new user.

  Parameters:
    `person` - person whose portalUID will be returned
    `createPortalData` - indicates whether to try to create all uPortal data for a new user.
  Returns:
    uPortalUID number or -1 if no user found and unable to create user.
  Throws:
    `AuthorizationException` - if createPortalData is false and no user is found or if a sql error is encountered

### removePortalUID

    void removePortalUID(int uPortalUID)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD